Subject: Re: bug#75295: emacs-math-preview: add math-preview dependency?

From: muradm <[email-masked]>
Date: Fri, 03 Jan 2025 20:54:45 +0300

Ah.. you also need to configure NPM. Mine is set as following:

mkdir -p ~/.config/npm
mkdir -p ~/.local/share/npm
echo "prefix=/home/muradm/.local/share/npm" > ~/.config/npm/config

Then you can use "npm install -g ...".

Christopher Howard <[email-masked]> writes:

> muradm <[email-masked]> writes:
>
>> guix shell node -- npm install -g
>> git+https://gitlab.com/matsievskiysv/math-preview
>
> Does this command actually work for you? When I try, I get this 
> error
>
> ```
> 90 verbose stack Error: ENOENT: no such file or directory, mkdir 
> '/gnu/store/lknvzfbwqffvvyflid5dpm53vbjg8kh4-node-18.19.0/lib/node_modules/math-preview'
> ```
>
> Do you have some necessary node configuration set up which I 
> don't?